Bug 245297 - multimedia/zoneminder: Update to 1.34.9
Summary: multimedia/zoneminder: Update to 1.34.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/ZoneMinder/zonemin...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-04-02 21:03 UTC by Ivan
Modified: 2020-04-11 10:54 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
zm patch (1.99 KB, patch)
2020-04-02 21:03 UTC, Ivan
bsd: maintainer-approval+
Details | Diff
zm patch (1.99 KB, patch)
2020-04-05 10:11 UTC, Ivan
bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan 2020-04-02 21:03:07 UTC
Created attachment 212993 [details]
zm patch

Bug fixes since 1.34.6

    Fix user-selected language
    Improve aspect ratio in montage
    Fix auto-selecting newly saved layout in montage
    Fix problem with triggers are null
    fix returning frameID returning score instead of frameID
    Provide a more useful error message when the monitor's function is set to NONE - fixes
    fix compile fail with mariadb-10.2.29
    fix zmu utility fail with MySQL database query error
    fix HAVE_DECL_MD5 set when build requires GnuTLS
    use CMAKE_INSTALL_FULL_DATADIR in CMakeLists.txt to fix build in other platforms.
    Add MaxScoreFrameId and AlarmFrameId to event API
    fix streaming when using an applet
    Support missing openssl_random_pseudo_bytes by using alternate functions
    fix starting and stopping zmcontrol.pl on remote servers

===========
testport@OK
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-02 22:10:47 UTC
^Triage: Bugfix release, MFH
Comment 2 Ivan 2020-04-05 10:11:30 UTC
Created attachment 213087 [details]
zm patch

testbuild@OK
Comment 3 Tobias C. Berner freebsd_committer 2020-04-11 10:54:36 UTC
Committed. Thanks.
Comment 4 commit-hook freebsd_committer 2020-04-11 10:54:50 UTC
A commit references this bug:

Author: tcberner
Date: Sat Apr 11 10:54:27 UTC 2020
New revision: 531415
URL: https://svnweb.freebsd.org/changeset/ports/531415

Log:
  multimedia/zoneminder: Update to 1.34.9

  PR:		245297
  Submitted by:	Ivan <bsd@abinet.ru>  (maintainer)

Changes:
  head/multimedia/zoneminder/Makefile
  head/multimedia/zoneminder/distinfo
  head/multimedia/zoneminder/pkg-plist